| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Layout.Expander

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods
Attributes
Signals

Description

A container which can hide its child

- Module available since Gtk+ version 2.4

Synopsis

data Expander
class BinClass o => ExpanderClass o
castToExpander :: GObjectClass obj => obj -> Expander
toExpander :: ExpanderClass o => o -> Expander
expanderNew :: String -> IO Expander
expanderNewWithMnemonic :: String -> IO Expander
expanderSetExpanded :: Expander -> Bool -> IO ()
expanderGetExpanded :: Expander -> IO Bool
expanderSetSpacing :: Expander -> Int -> IO ()
expanderGetSpacing :: Expander -> IO Int
expanderSetLabel :: Expander -> String -> IO ()
expanderGetLabel :: Expander -> IO String
expanderSetUseUnderline :: Expander -> Bool -> IO ()
expanderGetUseUnderline :: Expander -> IO Bool
expanderSetUseMarkup :: Expander -> Bool -> IO ()
expanderGetUseMarkup :: Expander -> IO Bool
expanderSetLabelWidget :: WidgetClass labelWidget => Expander -> labelWidget -> IO ()
expanderGetLabelWidget :: Expander -> IO Widget
expanderExpanded :: Attr Expander Bool
expanderLabel :: Attr Expander String
expanderUseUnderline :: Attr Expander Bool
expanderUseMarkup :: Attr Expander Bool
expanderSpacing :: Attr Expander Int
expanderLabelWidget :: WidgetClass labelWidget => ReadWriteAttr Expander Widget labelWidget
onActivate :: Expander -> IO () -> IO (ConnectId Expander)
afterActivate :: Expander -> IO () -> IO (ConnectId Expander)

Detail

A `Expander` allows the user to hide or show its child by clicking on an expander triangle similar to the triangles used in a `TreeView`.

Normally you use an expander as you would use any other descendant of `Bin`; you create the child widget and use Graphics.UI.Gtk.Abstract.Container.containerAdd to add it to the expander. When the expander is toggled, it will take care of showing and hiding the child automatically.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----Expander

Types
data Expander

Instances

GObjectClass Expander
ExpanderClass Expander
BinClass Expander
ContainerClass Expander
WidgetClass Expander
ObjectClass Expander

class BinClass o => ExpanderClass o

Instances

ExpanderClass Expander

castToExpander :: GObjectClass obj => obj -> Expander
toExpander :: ExpanderClass o => o -> Expander
Constructors
expanderNew :: String -> IO Expander
Creates a new expander using the given string as the text of the label.
expanderNewWithMnemonic

:: String | `label` - the text of the label with an underscore in front of the mnemonic character
-> IO Expander |
Creates a new expander using `label` as the text of the label. If characters in `label` are preceded by an underscore, they are underlined. If you need a literal underscore character in a label, use '__' (two underscores). The first underlined character represents a keyboard accelerator called a mnemonic. Pressing Alt and that key activates the button.

Methods
expanderSetExpanded :: Expander -> Bool -> IO ()
Sets the state of the expander. Set to `True`, if you want the child widget to be revealed, and `False` if you want the child widget to be hidden.
expanderGetExpanded :: Expander -> IO Bool
Queries a `Expander` and returns its current state. Returns `True` if the child widget is revealed. See `expanderSetExpanded`.
expanderSetSpacing :: Expander -> Int -> IO ()
Sets the spacing field of `expander`, which is the number of pixels to place between expander and the child.
expanderGetSpacing

:: Expander |
-> IO Int | returns spacing between the expander and child.
Gets the value set by `expanderSetSpacing`.

expanderSetLabel :: Expander -> String -> IO ()
Sets the text of the label of the expander to `label`. This will also clear any previously set labels.
expanderGetLabel :: Expander -> IO String
Fetches the text from the label of the expander, as set by `expanderSetLabel`.
expanderSetUseUnderline

:: Expander |
-> Bool | `useUnderline` - `True` if underlines in the text indicate mnemonics
-> IO () |
If true, an underline in the text of the expander label indicates the next character should be used for the mnemonic accelerator key.

expanderGetUseUnderline

:: Expander |
-> IO Bool | returns `True` if an embedded underline in the expander label indicates the mnemonic accelerator keys.
Returns whether an embedded underline in the expander label indicates a mnemonic. See `expanderSetUseUnderline`.

expanderSetUseMarkup

:: Expander |
-> Bool | `useMarkup` - `True` if the label's text should be parsed for markup
-> IO () |
Sets whether the text of the label contains markup in Pango's text markup language. See Graphics.UI.Gtk.Display.Label.labelSetMarkup.

expanderGetUseMarkup :: Expander -> IO Bool
Returns whether the label's text is interpreted as marked up with the Pango text markup language. See `expanderSetUseMarkup`.
expanderSetLabelWidget

:: WidgetClass labelWidget |
=> Expander |
-> labelWidget | `labelWidget` - the new label widget
-> IO () |
Set the label widget for the expander. This is the widget that will appear embedded alongside the expander arrow.

expanderGetLabelWidget

:: Expander |
-> IO Widget | returns the label widget
Retrieves the label widget for the frame. See `expanderSetLabelWidget`.

Attributes
expanderExpanded :: Attr Expander Bool
Whether the expander has been opened to reveal the child widget. Default value: `False`
expanderLabel :: Attr Expander String
Text of the expander's label.
expanderUseUnderline :: Attr Expander Bool
If set, an underline in the text indicates the next character should be used for the mnemonic accelerator key. Default value: `False`
expanderUseMarkup :: Attr Expander Bool
The text of the label includes XML markup. See pango_parse_markup(). Default value: `False`
expanderSpacing :: Attr Expander Int
Space to put between the label and the child. Allowed values: >= 0 Default value: 0
expanderLabelWidget :: WidgetClass labelWidget => ReadWriteAttr Expander Widget labelWidget
A widget to display in place of the usual expander label.
Signals
onActivate :: Expander -> IO () -> IO (ConnectId Expander)
afterActivate :: Expander -> IO () -> IO (ConnectId Expander)
Produced by Haddock version 2.4.2